GeographicLib 2.5.2

Loading...
Searching...
No Matches
Namespaces | Macros
MagneticModel.cpp File Reference

Implementation for GeographicLib::MagneticModel class. More...

`#include <GeographicLib/MagneticModel.hpp>`
`#include <fstream>`
`#include <GeographicLib/SphericalEngine.hpp>`
`#include <GeographicLib/MagneticCircle.hpp>`
`#include <GeographicLib/Utility.hpp>`

Go to the source code of this file.

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Macros
#define | GEOGRAPHICLIB_DATA "/usr/local/share/GeographicLib"
#define | GEOGRAPHICLIB_MAGNETIC_DEFAULT_NAME "wmm2025"

## Detailed Description

Implementation for GeographicLib::MagneticModel class.

Copyright (c) Charles Karney (2011-2021) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file MagneticModel.cpp.

## Macro Definition Documentation

## ◆ GEOGRAPHICLIB_DATA

#define GEOGRAPHICLIB_DATA "/usr/local/share/GeographicLib"

Definition at line 20 of file MagneticModel.cpp.

## ◆ GEOGRAPHICLIB_MAGNETIC_DEFAULT_NAME

#define GEOGRAPHICLIB_MAGNETIC_DEFAULT_NAME "wmm2025"

Definition at line 25 of file MagneticModel.cpp.

Referenced by GeographicLib::MagneticModel::DefaultMagneticName().